
$regfile = "xm128a1def.dat"
$crystal = 32000000                                         '32MHz
$hwstack = 160
$swstack = 160
$framesize = 200


$lib "xmega.lib"
$external _xmegafix_clear
$external _xmegafix_rol_r1014

Config Osc = Enabled , 32mhzosc = Enabled

'configure the systemclock
Config Sysclock = 32mhz , Prescalea = 1 , Prescalebc = 1_1

'COM5 = Serial interface for communication with PC
Config Com5 = 57600 , Mode = Asynchroneous , Parity = None , Stopbits = 1 , Databits = 8
Open "COM5:" For Binary As #5

'COM6 = Serial interface for WIZFI210
Config Com6 = 115000 , Mode = Asynchroneous , Parity = None , Stopbits = 1 , Databits = 8
Open "COM6:" For Binary As #6

'Setup Interrupt
Config Priority = Static , Vector = Application , Lo = Enabled

On Usarte1_rxc Rxc_e1_isr
Enable Usarte1_rxc , Lo
Enable Interrupts

Dim Rs232 As Byte
Dim Input_string As String * 120
Dim String_ready As Bit
Dim Wiz_data As String * 120

Print #5 , "Start"

Do

 If String_ready = 1 Then
    Reset String_ready
    Print #5 , Input_string
    Wiz_data = Input_string
    Input_string = ""

    If Instr(wiz_data , "send") > 0 Then
      Print #6 , "Hallo from Wiz"                           'send to Wiz
    End If

 End If

Loop

End

'Interrupt Service Routine for COM6 (Wiz210)
Rxc_e1_isr:
  Rs232 = Inkey(#6)
  If Rs232 <> 13 Then                                       'Add ASCII until carriage return (=13)
     Input_string = Input_string + Chr(rs232)
  Else
     Set String_ready
  End If
Return